Subject: bug#24012: 25.0.95; forward-comment backwards takes O(n^2)

From: Dmitry Gutov <[email-masked]>
Date: Mon, 25 Dec 2017 17:24:38 +0200

On 7/17/16 2:04 PM, Leo Liu wrote:
> 
> 1. Use the attached file as an example, open it in emacs in ruby-mode
> 2. Move point to end of buffer and eval (forward-comment (- (point)))
> 
> The last step takes about 0.25 seconds on my MacBook 3 GHz Intel Core
> i7. If you double the lines of comments, the time increase by 4 folds.

FWIW, it looks fixed in the master branch now.

Probably by 14b95587520959c5b54356547a0a69932a9bb480, so no idea what 
exactly was causing it.